import request from '@/utils/request'


//专题列表
export function course_list(data) {
	return request({
		url: '/api/special.special/get_content_recommend',
		method: 'post',
		data
	});
}
//专题详情
export function details(data) {
	return request({
		url: '/api/special.special/details',
		method: 'get',
		data
	});
}
//专题收藏
export function collect(data) {
	return request({
		url: '/api/special.special/collect',
		method: 'get',
		data
	});
}
//专题收藏
export function course(data) {
	return request({
		url: '/api/special.special/get_course_list',
		method: 'get',
		data
	});
}
//专题收藏
export function task_info(data) {
	return request({
		url: '/api/special.special/task_info',
		method: 'get',
		data
	});
}
//创建专题支付订单
export function create_order(data) {
	return request({
		url: '/api/special.special/create_order',
		method: 'post',
		data
	});
}
//视频是否可以播放
export function GetTask(data) {
	return request({
		url: '/api/special.special/get_task_link',
		method: 'post',
		data
	});
}
//视频播放数量加一
export function PlayNum(data) {
	return request({
		url: '/api/special.special/play_num',
		method: 'post',
		data
	});
}
//视频分类
export function unified(data) {
	return request({
		url: '/api/special.special/unified_list',
		method: 'get',
		data
	});
}
//视频分类
export function GetUnifiend(data) {
	return request({
		url: '/api/special.special/get_unifiend_list',
		method: 'get',
		data
	});
}